为 WordPress 开启 HTML5 支持

越来越多的站点开始使用 HTML5 标签了(包括淘宝也在滥用 HTML5 哈哈),好还是不好很难说。至少对于富 JavaScript 应用来说,使用 JavaScript 来解决 IE 下不支持 HTML5 的现状是最为可靠的。

IE 下比较广泛的 HTML5 标签支持方案是使用 html5shim,其使用方法如下:

<!--[if lt IE 9]><script src="//html5shim.googlecode.com/svn/trunk/html5.js"></script><![endif]-->

关于条件注释的参考资料:http://msdn.microsoft.com/en-us/library/ms537512.aspx

WordPress 也可以通过在 header.php 文件添加这段代码的方法实现。或者使用 functions.php 文件也可以:

找到当前主题对应的 functions.php 文件,并添加如下代码:

function add_ie_html5_shim () {    echo '<!--[if lt IE 9]>';    echo '<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>';    echo '<![endif]-->';}add_action('wp_head', 'add_ie_html5_shim');
波比源码 – 精品源码模版分享 | www.bobi11.com
1. 本站所有资源来源于用户上传和网络,如有侵权请邮件联系站长!
2. 分享目的仅供大家学习和交流,您必须在下载后24小时内删除!
3. 不得使用于非法商业用途,不得违反国家法律。否则后果自负!
4. 本站提供的源码、模板、插件等等其他资源,都不包含技术服务请大家谅解!
5. 如有链接无法下载、失效或广告,请联系管理员处理!
6. 本站资源售价只是赞助,收取费用仅维持本站的日常运营所需!
7. 如遇到加密压缩包,请使用WINRAR解压,如遇到无法解压的请联系管理员!

波比源码 » 为 WordPress 开启 HTML5 支持

发表评论

Hi, 如果你对这款模板有疑问,可以跟我联系哦!

联系站长
赞助VIP 享更多特权,建议使用 QQ 登录
喜欢我嘛?喜欢就按“ctrl+D”收藏我吧!♡